# Stardust

Stardust is a framework that aims to describe how to create models and build
them; collecting every error found in the way.

[![Unit Tests](https://github.com/ba-st/Stardust/actions/workflows/unit-tests.yml/badge.svg)](https://github.com/ba-st/Stardust/actions/workflows/unit-tests.yml/badge.svg)
[![Coverage Status](https://codecov.io/github/ba-st/Stardust/coverage.svg?branch=release-candidate)](https://codecov.io/gh/ba-st/Stardust/branch/release-candidate)
[![Baseline Groups](https://github.com/ba-st/Stardust/actions/workflows/loading-groups.yml/badge.svg)](https://github.com/ba-st/Stardust/actions/workflows/loading-groups.yml)
[![Markdown Lint](https://github.com/ba-st/Stardust/actions/workflows/markdown-lint.yml/badge.svg)](https://github.com/ba-st/Stardust/actions/workflows/markdown-lint.yml)

[![GitHub release](https://img.shields.io/github/release/ba-st/Stardust.svg)](https://github.com/ba-st/Stardust/releases/latest)
[![Pharo 9.0](https://img.shields.io/badge/Pharo-9.0-informational)](https://pharo.org)
[![Pharo 10](https://img.shields.io/badge/Pharo-10-informational)](https://pharo.org)

## Quick links

- [**Explore the docs**](docs/README.md)
- [Report a defect](https://github.com/ba-st/Stardust/issues/new?labels=Type%3A+Defect)
- [Request a feature](https://github.com/ba-st/Stardust/issues/new?labels=Type%3A+Feature)

## License

- The code is licensed under [MIT](LICENSE).
- The documentation is licensed under [CC BY-SA 4.0](http://creativecommons.org/licenses/by-sa/4.0/).

## Installation

To load the project in a Pharo image follow this [instructions](docs/how-to/how-to-load-in-pharo.md).

## Contributing

Check the [Contribution Guidelines](CONTRIBUTING.md)
